Import new order from external source
Import new order from extern source. Complete order with lines and possibly settlements. sellerDisplayName can be set if an integrationToken is used. If no integrationToken and sellerDisplayName is set, an error is returned.
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/import
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Schema for creating a complete order in one request.
orderDatestring · date-time · nullableOptional
customerUidstringOptionalPattern:
^[A-Za-z0-9-_]*customerContactUidstringOptionalPattern:
^[A-Za-z0-9-_]*externalOrderNumberstringOptionalDeprecated
externalVoucherNumberstringOptionalDeprecated
notestringOptional
internalNotestringOptional
Internal note, not visible on the receipt.
typestring · enumRequiredPossible values:
systemOriginstringOptional
validUntilstring · date-time · nullableRequired
vatFreebooleanRequired
vatPrintstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| SUM | Print as a part of orderlines. |
| SEPARATE | Print as a separate field. |
orderUidstringOptionalPattern:
^[A-Za-z0-9-_]+tenantUserDisplayNamestringOptional
handlingUidsstring[]Optional
Responses
200
Example response
application/json
Use invoiceAddress only if an order has a different invoice than orderAddress.
createdAtstring · date-timeRequired
customerUidstringRequiredPattern:
^[A-Za-z0-9-_]*deliveryStatestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Delivery not started |
| IN_PROGRESS | Delivery is in progress. Some order lines are still reserved |
| COMPLETE | Delivery is complete. All order lines are delivered |
externalOrderNumberstringRequiredDeprecated
externalVoucherNumberstringRequiredDeprecated
lastModifiedAtstring · date-timeRequired
notestringRequired
Note visible on the receipt.
internalNotestringRequired
Internal note, not visible on the receipt.
orderUidstringRequiredPattern:
^[A-Za-z0-9-_]+orderNumberstringRequired
orderDatestring · date-time · nullableRequired
This field has value if type == ORDER
orderStatestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| OPEN | Order is open and beeing edited by someone |
| PARKED | Order is parked |
| CANCELED | Order is canceled/deleted |
| COMPLETE | Order is complete |
| CONFIRMED | Order is confirmed |
orderhandlingStatestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Handling has not been started. |
| IN_PROGRESS | Handling is in progress. |
| ON_HOLD | Handling is paused (on hold). |
| COMPLETE | Handling is complete. |
settleStatestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Settlement not started |
| IN_PROGRESS | Settlement is in progress and the order cannot be changed |
| COMPLETE | Settlement is complete |
settledAtstring · date-time · nullableOptional
When the settleState is set COMPLETE.
storeUidstringRequiredPattern:
^[A-Za-z0-9-_]+storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern:
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
^[A-Za-z0-9-_]*typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| SUM | Print as a part of orderlines. |
| SEPARATE | Print as a separate field. |
voucherNumberstringRequired
A reference to a fully settled order.
deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern:
^[A-Za-z0-9-_]*lastModifiedBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/orders/import
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/import HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2841
{
"orderDate": "2026-01-01T00:00:00.000Z",
"customerAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text",
"vatNumber": "text"
},
"customerUid": "text",
"customerContactUid": "text",
"externalIds": [
{
"key": "text",
"label": "text",
"value": "text",
"visibility": "INTERNAL"
}
],
"invoiceAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text",
"vatNumber": "text"
},
"items": [
{
"discountReasonCode": "text",
"externalId": "text",
"externalOrderLink": {
"orderId": "text",
"orderNumber": "text",
"orderItemId": "text",
"linkType": "CREDIT"
},
"itemDiscountAmount": 1,
"itemDiscountPercentage": 1,
"itemPrice": 1,
"note": "text",
"orderItemLink": {
"linkType": "CREDIT",
"orderItemUid": "text"
},
"productUid": "text",
"properties": [
{
"key": "text",
"value": "text"
}
],
"quantityOrdered": 1,
"deliveryUid": "text",
"returnReasonCode": "text",
"returnReference": "text",
"serialnumber": "text",
"sku": "text",
"warehouseUid": "text",
"purchaseOrderItemUid": "text",
"orderItemUid": "text",
"reservationType": "NONE",
"sortOrder": 1,
"itemCostPrice": 1,
"productName": "text"
}
],
"note": "text",
"internalNote": "text",
"orderTotals": {
"grandTotal": 1,
"totalDiscount": 1,
"totalVat": 1
},
"settlements": [
{
"amount": 1,
"externalId": "text",
"externalPaymentReference": "text",
"settlementUid": "text",
"settledAt": "2026-01-01T00:00:00.000Z",
"storePaymentMethodUid": "text",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settlementCode": "text",
"status": "CAPTURED",
"storeSettlementIssuer": {
"name": "text",
"code": "text"
}
}
],
"type": "OFFER",
"systemOrigin": "text",
"validUntil": "2026-01-01T00:00:00.000Z",
"vatFree": true,
"vatPrint": "SUM",
"orderUid": "text",
"tenantUserDisplayName": "text",
"handlingUids": [
"text"
],
"orderDeliveries": [
{
"deliveryAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text"
},
"deliveryState": "NOT_DELIVERED",
"deliveryDate": "2026-01-01T00:00:00.000Z",
"externalDeliveryReference": "text",
"signature": "text",
"warehouseUid": "text",
"deliveryUid": "text",
"shipping": {
"deliveryCustomerAddressUid": "text",
"deliveryAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text"
},
"pickupPoint": {
"pickupPointId": "text",
"pickupPointType": "text",
"name": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text"
},
"trackingNumber": "text",
"deliveryProviderUid": "text",
"deliveryProviderMethodUid": "text",
"deliveryProviderMethodTimeslotUid": "text",
"timeslot": {
"fromTime": "00:00:00",
"toTime": "00:00:00"
},
"deliveryProviderProcessIndicator": "text",
"freightProductUid": "text",
"freightPrice": 1
}
}
]
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"displayName": "text"
},
"customerUid": "text",
"customerContact": {
"customerContactUid": "text",
"firstname": "text",
"lastname": "text",
"email": "text",
"mobile": "text",
"displayName": "text"
},
"deliveryState": "NOT_STARTED",
"externalIds": [
{
"key": "text",
"label": "text",
"value": "text",
"visibility": "INTERNAL"
}
],
"invoiceAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text",
"displayName": "text",
"customerAddressUid": "text"
},
"items": [
{
"actions": [
{
"comment": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"handlingActionUid": "text",
"handlingActionName": "text",
"handlingDescription": "text",
"handlingUid": "text",
"handlingName": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"orderHandlingActionUid": "text"
}
],
"allowedActions": [
"QUANTITY_SOLD"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"discountReasonCode": "text",
"externalId": "text",
"externalOrderLinks": [
{
"orderId": "text",
"orderNumber": "text",
"orderItemId": "text",
"system": "text",
"type": "CREDIT"
}
],
"itemCost": 1,
"itemDiscountAmount": 1,
"itemDiscountPercentage": 1,
"itemGrossProfitAmount": 1,
"itemGrossProfitPercentage": 1,
"itemPrice": 1,
"itemVatAmount": 1,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"name": "text",
"note": "text",
"orderItemReference": "text",
"orderItemUid": "text",
"orderLinks": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"storeUid": "text",
"type": "CREDIT"
}
],
"originalItemPrice": 1,
"productUid": "text",
"productType": "STOCK",
"properties": [
{
"uid": "text",
"key": "text",
"value": "text"
}
],
"quantityCredited": 1,
"quantityDelivered": 1,
"quantityOrdered": 1,
"quantityReserved": 1,
"returnReasonCode": "text",
"returnReference": "text",
"serialnumber": "text",
"sku": "text",
"sortOrder": 1,
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"totalCost": 1,
"totalDiscountAmount": 1,
"totalGrossProfitAmount": 1,
"totalPrice": 1,
"totalVatAmount": 1,
"vatCodeUid": "text",
"warehouseUid": "text",
"warehouseName": "text",
"internalInfo": "text",
"productProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"deliveryUid": "text",
"compensationReasonCode": "text",
"orderReceiptUid": "text",
"allowDelivery": "YES",
"allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
"reservationType": "NONE",
"reservationDetails": {
"warehouse": {
"warehouseName": "text"
},
"purchaseOrder": {
"purchaseOrderUid": "text",
"purchaseOrderItemUid": "text",
"expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
"purchaseOrderNumber": "text",
"quantityOrdered": 1,
"externalId": "text"
},
"receivement": {
"receivementUid": "text",
"receivementItemUid": "text",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"supplierOrderReference": "text",
"receivedAt": "2026-01-01T00:00:00.000Z"
},
"interStorePurchaseOrder": {
"storeUid": "text",
"storeName": "text",
"purchaseOrderUid": "text",
"purchaseOrderNumber": "text",
"purchaseOrderItemUid": "text"
},
"interStorePurchaseOrderReceivement": {
"receivementUid": "text",
"receivementItemUid": "text",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"supplierOrderReference": "text",
"receivedAt": "2026-01-01T00:00:00.000Z"
}
},
"interStoreOrderReservationQuantity": 1,
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"usesVatMarginScheme": true
}
],
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"interStorePurchaseOrder": {
"purchaseOrderUid": "text",
"purchaseNumber": "text",
"storeUid": "text",
"storeName": "text"
},
"note": "text",
"internalNote": "text",
"orderUid": "text",
"orderNumber": "text",
"orderDate": "2026-01-01T00:00:00.000Z",
"orderState": "OPEN",
"orderTotals": {
"costTotal": 1,
"grandTotal": 1,
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"specifiedVat": [
{
"vatAmount": 1,
"vatDescription": "text",
"vatRate": 1
}
],
"subtotal": 1,
"totalDiscount": 1,
"totalVat": 1
},
"orderhandlingState": "NOT_STARTED",
"orderhandlings": [
{
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"handlingUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"name": "text",
"orderHandlingUid": "text",
"state": "NOT_STARTED"
}
],
"settleState": "NOT_STARTED",
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementTotals": {
"change": 1,
"remaining": 1,
"remainingRounded": 1,
"totals": 1,
"remainingPrePayment": 1,
"remainingAuthorizedAmount": 1
},
"settlements": [
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text",
"name": "text",
"type": "TEXT"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuer": {
"storeSettlementIssuerUid": "text",
"name": "text",
"code": "text"
},
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"creditCount": 1,
"creditAmount": 1,
"paymentCount": 1,
"paymentAmount": 1,
"tillUid": "text",
"tillName": "text",
"tillNumber": 1,
"storeUid": "text",
"storeName": "text",
"orderReceiptUid": "text",
"authorizedAmount": 1,
"capturedAmount": 1,
"refundedAmount": 1,
"receiptText": "text",
"transactions": [
{
"transactionType": "text",
"pspTransactionId": "text",
"transactionAmount": 1,
"orderReceiptUid": "text"
}
],
"allowedActions": [
"CANCEL"
]
}
],
"storeUid": "text",
"storeName": "text",
"systemOrigin": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"tillUid": "text",
"type": "OFFER",
"validUntil": "2026-01-01T00:00:00.000Z",
"vatFree": true,
"vatPrint": "SUM",
"voucherNumber": "text",
"deliveryDate": "2026-01-01",
"discounts": [
{
"orderDiscountUid": "text",
"discountCode": "text",
"type": "PERCENTAGE",
"amount": 1,
"name": "text",
"origin": "LOYALTY",
"validTo": "2026-01-01T00:00:00.000Z",
"maxUsage": 1,
"productSkus": [
"text"
],
"orderItemUids": [
"text"
],
"externalTransactionId": "text",
"scope": "WHOLE_ORDER",
"discountReasonCode": "text",
"discountReference": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"campaignUid": "text"
}
],
"compensationReasonUid": "text",
"lastModifiedBy": "text",
"allowedActions": []
}Last updated
Was this helpful?

